Bug 800589 (CVE-2012-1131) - CVE-2012-1131 freetype: incorrect type cast allowing input sanity check bypass in ft_smooth_render_generic() (#35604)
Summary: CVE-2012-1131 freetype: incorrect type cast allowing input sanity check bypas...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-1131
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20120226,reported=2...
Depends On: 806266 806267 806268 806269 806270 806271 889398
Blocks: 800639
TreeView+ depends on / blocked
 
Reported: 2012-03-06 18:49 UTC by Jan Lieskovsky
Modified: 2019-06-08 19:04 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-24 21:02:14 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0467 normal SHIPPED_LIVE Important: freetype security update 2012-04-10 23:55:00 UTC

Description Jan Lieskovsky 2012-03-06 18:49:38 UTC
An out-of heap-based buffer read flaw was found in the way the anti-aliasing renderer of the FreeType font rendering engine processed certain TrueType fonts. A remote attacker could provide a specially-crafted TrueType font file, which once opened in an application linked against FreeType would lead to that application crash.

Upstream bug report:
[1] https://savannah.nongnu.org/bugs/?35604

Upstream patch:
[2] http://git.savannah.gnu.org/cgit/freetype/freetype2.git/commit/?id=fcbc82e69e7b114b0db75e955896107d611898e6

Acknowledgements:

Red Hat would like to thank Mateusz Jurczyk of the Google Security Team for reporting this issue.

Comment 1 Kurt Seifried 2012-03-06 20:50:33 UTC
Added CVE as per http://www.openwall.com/lists/oss-security/2012/03/06/16

Comment 2 Jan Lieskovsky 2012-03-14 17:50:41 UTC
This issue does seem to affect the versions of the freetype package, as shipped with Red Hat Enterprise Linux 5 and 6.

--

This issue did NOT affect the version of the freetype package, as shipped with Fedora release of 15.

--

This issue affects the version of the freetype package, as shipped with Fedora release of 16.

Comment 9 errata-xmlrpc 2012-04-10 19:58:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0467 https://rhn.redhat.com/errata/RHSA-2012-0467.html


Note You need to log in before you can comment on or make changes to this bug.